Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.autoscaling.model
Class DescribeAutoScalingGroupsRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.autoscaling.model.DescribeAutoScalingGroupsRequest

    public class DescribeAutoScalingGroupsRequest

extends AmazonWebServiceRequest

Container for the parameters to the `DescribeAutoScalingGroups operation`.

Returns a full description of the AutoScalingGroup instances specified in the given list. This includes all Amazon EC2 instances that are members of the Auto Scaling group. If a list of names is not provided, then the full details of all AutoScalingGroups is returned.

See Also:
  `AmazonAutoScaling.describeAutoScalingGroups(DescribeAutoScalingGroupsRequest)`

Constructor Summary
`DescribeAutoScalingGroupsRequest()`

Method Summary
`List<String>` | `getAutoScalingGroupNames()`
`void` | `setAutoScalingGroupNames(Collection<String> autoScalingGroupNames)`
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeAutoScalingGroupsRequest` | `withAutoScalingGroupNames(Collection<String> autoScalingGroupNames)` Returns a reference to this object so that method calls can be chained together.
`DescribeAutoScalingGroupsRequest` | `withAutoScalingGroupNames(String... autoScalingGroupNames)` Returns a reference to this object so that method calls can be chained together.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeAutoScalingGroupsRequest

    public DescribeAutoScalingGroupsRequest()

Method Detail

### getAutoScalingGroupNames

    public List<String> getAutoScalingGroupNames()

  Returns:

### setAutoScalingGroupNames

    public void setAutoScalingGroupNames(Collection<String> autoScalingGroupNames)

  Parameters:
    `autoScalingGroupNames` -

### withAutoScalingGroupNames

    public DescribeAutoScalingGroupsRequest withAutoScalingGroupNames(String... autoScalingGroupNames)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `autoScalingGroupNames` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withAutoScalingGroupNames

    public DescribeAutoScalingGroupsRequest withAutoScalingGroupNames(Collection<String> autoScalingGroupNames)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `autoScalingGroupNames` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.